{**********************************************************************
Copyright (C) 2009 by Salvatore Licciardi

Web http://www.webalice.it/turylicciardi    eMail turylicciardi@tiscali.it

 This program is free software: you can redistribute it and/or modify it under
 the terms of the GNU General Public License as published by the Free Software
 Foundation, version 3 of the License.
 This program is distributed in the hope  that it will be useful , but WITHOUT
 ANY WARRANTY without even the implied warranty  of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE.
 See the GNU General Public License for more details. You should have received
 a copy of the GNU General Public License along with this program. If not, see
 http://www.gnu.org/licenses/

 **********************************************************************}

unit T_Lingua;      // per editor a partire dalla versione 2.59
{$MODE ObjFpc}
{$H+}  // longstring

interface

uses Sysutils,Math,
     Altro32;

type Lingua=object

     public
      constructor Init;
      destructor  Destroy;
      function    Carica(file_lingua:string):byte;
      procedure   get_messaggio(n:word; var x,y:byte; var c:char; var txt:string; var indice:integer);
      function    get_txt(n:word):string;
      function    get_length_txt(n:word):longint;
      function    get_X(n:word):byte;
      function    get_char(n:word):char;
      function    get_charUp(n:word):char;
      function    get_charB(n:word):byte;
      function    get_pos_rosso(n:word):byte;
      function    italy():boolean;

     private
      attuale,precedente: array of string;
      italiano:boolean;
      function    aggiungi_messaggio_predefinito(x,y:byte; c:char; n:word; txt:string):longint; // ritorna la posizione dove inserito. Si parte da 0

     protected

     end;

implementation

{+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++}

function    Lingua.italy():boolean;
begin
exit(italiano);
end;

{+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++}
constructor Lingua.init;
begin
setlength(attuale,0);
setlength(precedente,0);
italiano:=true;
aggiungi_messaggio_predefinito(0,0,#0,0,'Avvio di EdiTury in corso...');
aggiungi_messaggio_predefinito(0,0,#0,0,'Versione');
aggiungi_messaggio_predefinito(0,0,#0,0,'  del  ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Versione del compilatore FreePascal ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Apri il file EDIT.TXT per consultare la guida.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Errore nell''inizializzazione della stampante su LPT1');
aggiungi_messaggio_predefinito(0,0,#0,0,'   per ');
aggiungi_messaggio_predefinito(0,0,#0,0,'File di inizializzazione non trovato ');
aggiungi_messaggio_predefinito(0,0,#0,0,'File di inizializzazione ignorato');
aggiungi_messaggio_predefinito(0,0,#0,0,'File non trovato');
aggiungi_messaggio_predefinito(0,0,#0,0,'Memoria insufficiente');
//10
aggiungi_messaggio_predefinito(0,0,#0,0,'Errore generico');
aggiungi_messaggio_predefinito(0,0,#0,0,'Attendere ... 3');
aggiungi_messaggio_predefinito(0,0,#0,0,'Sei nella Shell');
aggiungi_messaggio_predefinito(0,0,#0,0,'File di Shell non trovato: ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Interprete dei comandi non trovato');
aggiungi_messaggio_predefinito(0,0,#0,0,''); // Memoria insufficiente : duplicato
aggiungi_messaggio_predefinito(0,0,#0,0,'Impossibile caricare l''interprete dei comandi');
aggiungi_messaggio_predefinito(0,0,#0,0,'Taglia il testo');
aggiungi_messaggio_predefinito(0,0,#0,0,'Elimina il testo');
aggiungi_messaggio_predefinito(0,0,#0,0,'Dalla riga: ');
//20
aggiungi_messaggio_predefinito(0,0,#0,0,'Alla riga: ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Byte attuale ');
aggiungi_messaggio_predefinito(0,0,#0,0,'  Byte massimo ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Posizionati:');
aggiungi_messaggio_predefinito(52,0,'R',0,'( ) Riga      ( )');
aggiungi_messaggio_predefinito(69,0,'A',0,' Avanti    ');
aggiungi_messaggio_predefinito(35,0,'P',0,'                 ( ) Pagina    ( )');
aggiungi_messaggio_predefinito(69,0,'I',0,' Indietro  ');
aggiungi_messaggio_predefinito(35,0,'B',0,'                 ( ) Byte      ( )');
aggiungi_messaggio_predefinito(69,0,'n',0,' Posizionati');
//30
aggiungi_messaggio_predefinito(0,0,#0,0,'Incolla tutti gli appunti');
aggiungi_messaggio_predefinito(0,0,#0,0,'Incolla gli appunti');
aggiungi_messaggio_predefinito(0,0,#0,0,'A partire dalla riga:');
aggiungi_messaggio_predefinito(0,0,#0,0,'    Inizio Selezione');
aggiungi_messaggio_predefinito(0,0,#0,0,'Ricerca stringa in corso...');
aggiungi_messaggio_predefinito(0,0,#0,0,'Ricerca in pausa. Continuare ?');
aggiungi_messaggio_predefinito(0,0,#0,0,'Jolly ?    - Parola intera ?    - Direzione   - Ignora Mai/Min ? ');
aggiungi_messaggio_predefinito(0,0,'S',0,'Si');
aggiungi_messaggio_predefinito(0,0,'N',0,'No');
aggiungi_messaggio_predefinito(0,0,#0,0,''); // Sotto : inutile
//40
aggiungi_messaggio_predefinito(0,0,#0,0,''); // Sopra : inutile
aggiungi_messaggio_predefinito(0,0,#0,0,' Sostituire? ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Cambiare? ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Sostituisci:');
aggiungi_messaggio_predefinito(0,0,#0,0,'Con la stringa: ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Salva copia con nome da byte a byte');
aggiungi_messaggio_predefinito(0,0,#0,0,'Dal byte: ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Al byte: ');
// T_Edit1X
aggiungi_messaggio_predefinito(0,0,#0,0,'Tastiera');
aggiungi_messaggio_predefinito(0,0,#0,0,'Mouse');
//50
aggiungi_messaggio_predefinito(2,0,'F',0,'Frequenza:');
aggiungi_messaggio_predefinito(42,0,'O',0,'velocit… Orizzontale:');
aggiungi_messaggio_predefinito(2,0,'R',0,'Ritardo:');
aggiungi_messaggio_predefinito(42,0,'V',0,'velocit… Verticale:');
aggiungi_messaggio_predefinito(0,0,#0,0,'Impossibile effettuare l'' operazione di incolla.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Memoria insufficiente. Tutte le righe sono state usate.');
aggiungi_messaggio_predefinito(0,0,#0,0,'L''area per il testo e'' tutta usata.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Impossibile scrivere altre informazioni.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Se il file e'' di tipo esadecimale,');
aggiungi_messaggio_predefinito(0,0,#0,0,'non e'' possibile creare un file di backup.');
//60
aggiungi_messaggio_predefinito(0,0,#0,0,'Impossibile cambiare il formato.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Salvare prima il testo in un file.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Se il file e'' di tipo esadecimale,');
aggiungi_messaggio_predefinito(0,0,#0,0,'e'' obbligatorio salvare anche gli spazi finali.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Impossibile salvare il file con questo nome.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Controllarne il percorso, l''unita'', lo spazio e gli attributi.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Bisogna prima selezionare una parte del testo.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Impossibile stampare.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Possibili cause: stampante spenta, inchiostro e/o carta esauriti.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Errore durante la creazione del file di Backup.');
//70
aggiungi_messaggio_predefinito(0,0,#0,0,'Impossibile accedere a ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Possibili cause: percorso e/o nome di file non esistente o non valido.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Operazione di sostituzione interrotta.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Con il formato esadecimale bisogna sostituire le parole con altre');
aggiungi_messaggio_predefinito(0,0,#0,0,'della stessa lunghezza.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Il file esiste gia'': ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Sostituirlo ? ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Salvare le modifiche ?  ');
aggiungi_messaggio_predefinito(0,0,#0,0,' Per poter passare ad un'' altra parte del file, devi prima salvare questa.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Salvarla ?');
//80
aggiungi_messaggio_predefinito(0,0,#0,0,'E'' necessario salvare le modifiche per poter applicare tale funzione');
aggiungi_messaggio_predefinito(0,0,#0,0,'Il nome del file indicato non e'' valido. Sceglierne uno diverso.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Editor non puo'' caricare tutto il testo del file appena aperto.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Si consiglia di salvarlo con un nome differente.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Errore in lettura. File in uso da un'' altra applicazione o errore HardWare.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Errore in lettura. Controllare gli attributi del file, che non sia in uso da');
aggiungi_messaggio_predefinito(0,0,#0,0,'un'' altra applicazione, che sia presente o che vi sia un errore HardWare.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Tavola dei caratteri ASCII');
aggiungi_messaggio_predefinito(0,0,#0,0,'Numero Decimale');
aggiungi_messaggio_predefinito(0,0,#0,0,'Numero Esadecimale');
//90
aggiungi_messaggio_predefinito(0,0,#0,0,'Carattere ASCII');
aggiungi_messaggio_predefinito(0,0,#0,0,'Pag.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Col.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Riga ');
aggiungi_messaggio_predefinito(0,0,'S',0,'Si');   // '<Si>  <No>  <esc>'  '<Ok>  <No>  <esc>'
aggiungi_messaggio_predefinito(0,0,'N',0,'No');   // '<Si>  <No>  <esc>'  '<Ok>  <No>  <esc>'
aggiungi_messaggio_predefinito(0,0,#0,0,'Impossibile aprire il file EDITOR.INI');
aggiungi_messaggio_predefinito(0,0,#0,0,'Impossibile leggere dal file EDITOR.INI');
aggiungi_messaggio_predefinito(0,0,#0,0,'--- Valore non valido nella riga nø ');
aggiungi_messaggio_predefinito(0,0,#0,0,' di EDITOR.INI :');
//100
aggiungi_messaggio_predefinito(0,0,#0,0,'Memoria esaurita. Impossibile associare l''estensione: ');
aggiungi_messaggio_predefinito(0,0,#0,0,'--- Impostazione sconosciuta nella riga ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Funzione non implementabile in questa versione.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Aprire il file ');
aggiungi_messaggio_predefinito(0,0,#0,0,' in esadecimale ?');
aggiungi_messaggio_predefinito(0,0,#0,0,'Memoria insufficiente per effettuare l''operazione.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Svuotare gli Appunti, Annulla e Ripristina per liberarla, quindi riprovare');
aggiungi_messaggio_predefinito(0,0,#0,0,'Stringa non trovata (dentro il testo selezionato):');
aggiungi_messaggio_predefinito(0,0,#0,0,'Stringa non trovata:');
aggiungi_messaggio_predefinito(0,0,#0,0,'Dalla riga: ');
//110
aggiungi_messaggio_predefinito(0,0,#0,0,'Alla riga: ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Copia il testo');
aggiungi_messaggio_predefinito(0,0,#0,0,'Spazio su disco insufficiente per salvare il file: ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Liberare almeno ');
aggiungi_messaggio_predefinito(0,0,#0,0,' byte sull''unita'' e riprovare.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Numero copie');
aggiungi_messaggio_predefinito(0,0,#0,0,'File non salvato correttamente. Andare ugualmente in Shell ? ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Salvare il file prima di andare in Shell ?');
aggiungi_messaggio_predefinito(0,0,#0,0,'Editor potrebbe non funzionare correttamente,');
aggiungi_messaggio_predefinito(0,0,#0,0,'poiche'' non e'' stato eseguito nella modalita'' testo minima: ');
//120
aggiungi_messaggio_predefinito(0,0,#0,0,' colonne e ');
aggiungi_messaggio_predefinito(0,0,#0,0,' righe.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Si consiglia di chiudere Editor, correggere il problema e riprovare.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Premere un tasto per continuare ...');
aggiungi_messaggio_predefinito(0,0,#0,0,'Configurazione 1 di Editor');
aggiungi_messaggio_predefinito(0,0,#0,0,'Impostazioni valide solo per il formato testo:');
aggiungi_messaggio_predefinito(0,0,'S',0,'- Salva anche gli spazi finali             [ ]');
aggiungi_messaggio_predefinito(0,0,'l',0,'- Consenti cursore libero                  [ ]');
aggiungi_messaggio_predefinito(0,0,'r',0,'- Lascia un solo spazio fra parole         [ ]');
aggiungi_messaggio_predefinito(0,0,'b',0,'- Salva creando il file di backup (.BAK)   [ ]');
//130
aggiungi_messaggio_predefinito(0,0,'N',0,'- Numero massimo di righe utilizzabili     [        ]  (minimo ');
aggiungi_messaggio_predefinito(0,0,#0,0,'                                                        suggerito');
aggiungi_messaggio_predefinito(0,0,'M',0,'- Modalita'' sola lettura                   [ ]     (disattiva cursore libero)');
aggiungi_messaggio_predefinito(0,0,'g',0,'- Lunghezza della riga nel formato TXT     [    ]  (da 1 a 254, suggerito 254)');
aggiungi_messaggio_predefinito(0,0,'h',0,'- Lunghezza della riga nel formato ESA     [    ]  (da 1 a 254, suggerito 79)');
aggiungi_messaggio_predefinito(0,0,#0,0,'- Associa le estensioni note con il formato');
aggiungi_messaggio_predefinito(0,0,'e',0,'                                       esadecimale ESA ( )');
aggiungi_messaggio_predefinito(0,0,'t',0,'                                       testo TXT       ( )');
aggiungi_messaggio_predefinito(0,0,'c',0,'                                       chiedi ESA/TXT  ( )');
aggiungi_messaggio_predefinito(0,0,'p',0,'                                       predefinito     ( )');
//140
aggiungi_messaggio_predefinito(0,0,#0,0,'- Associa le estensioni non note con il formato');
aggiungi_messaggio_predefinito(0,0,'A',0,'                                       esadecimale ESA ( )');
aggiungi_messaggio_predefinito(0,0,'X',0,'                                       testo TXT       ( )');
aggiungi_messaggio_predefinito(0,0,'/',0,'                                       chiedi ESA/TXT  ( )');
aggiungi_messaggio_predefinito(0,0,#0,0,'Da ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Pag.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Col.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Riga ');
aggiungi_messaggio_predefinito(0,0,#0,0,'A  ');
aggiungi_messaggio_predefinito(67,0,'O',0,'Ovunque   [ ]');
//150
// T_Edit20
aggiungi_messaggio_predefinito(0,0,#0,0,'<esc>  <Pausa>');
aggiungi_messaggio_predefinito(0,0,#0,0,'  Errore in lettura. Riprovare ?');
aggiungi_messaggio_predefinito(0,0,#0,0,'Errore in scrittura. Riprovare ?');
aggiungi_messaggio_predefinito(0,0,#0,0,'Byte rimasti ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Scritti ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Copia in pausa. Continuare ?');
aggiungi_messaggio_predefinito(0,0,#0,0,'Copia annullata dall'' utente');
aggiungi_messaggio_predefinito(0,0,#0,0,'Cancellare il file ?');
aggiungi_messaggio_predefinito(0,0,'M',0,'Modifica');
aggiungi_messaggio_predefinito(0,0,'C',0,'Cerca');
//160
aggiungi_messaggio_predefinito(0,0,'t',0,'Formattato');
aggiungi_messaggio_predefinito(0,0,'S',0,'Speciale');
aggiungi_messaggio_predefinito(0,0,'O',0,'Opzioni');
aggiungi_messaggio_predefinito(0,0,'V',0,'Visualizza');
aggiungi_messaggio_predefinito(0,0,'R',0,'Recenti');
aggiungi_messaggio_predefinito(0,0,'N',0,' Nuovo           > '); // menu File
aggiungi_messaggio_predefinito(0,0,'A',0,' Apri... ');
aggiungi_messaggio_predefinito(0,0,'r',0,' Carica          > '); // ver 3.26 sub menu
aggiungi_messaggio_predefinito(0,0,'F',0,'File'); // menu File ver 3.30
aggiungi_messaggio_predefinito(0,0,'l',0,' Salva ');
//170
aggiungi_messaggio_predefinito(0,0,'S',0,' Salva con nome... ');
aggiungi_messaggio_predefinito(0,0,'v',0,' Salva tutti ');
aggiungi_messaggio_predefinito(0,0,'h',0,' Chiudi ');
aggiungi_messaggio_predefinito(0,0,'u',0,' Chiudi tutti ');
aggiungi_messaggio_predefinito(0,0,'C',0,' Cancella ');
aggiungi_messaggio_predefinito(0,0,'p',0,' Salva copia     > ');
aggiungi_messaggio_predefinito(0,0,'m',0,' Rinomina ');
aggiungi_messaggio_predefinito(0,0,'d',0,' Command Shell ');
aggiungi_messaggio_predefinito(0,0,'o',0,' Converti        > ');
aggiungi_messaggio_predefinito(0,0,'t',0,' Stampa          > ');
//180
aggiungi_messaggio_predefinito(0,0,'E',0,' Esci ');
aggiungi_messaggio_predefinito(0,0,#0,0,' Annulla     Alt+BackSpace '); // menu Modifica
aggiungi_messaggio_predefinito(0,0,'R',0,' Ripristina ');
aggiungi_messaggio_predefinito(0,0,'S',0,' Seleziona tutto ');
aggiungi_messaggio_predefinito(0,0,'D',0,' Deseleziona     Shift+Esc ');
aggiungi_messaggio_predefinito(0,0,'T',0,' Taglia         Shift+Canc ');
aggiungi_messaggio_predefinito(0,0,'C',0,' Copia            Ctrl+Ins ');
aggiungi_messaggio_predefinito(0,0,'I',0,' Incolla ultimo  Shift+Ins ');
aggiungi_messaggio_predefinito(0,0,'L',0,' Incolla lista      Ctrl+v ');
aggiungi_messaggio_predefinito(0,0,'E',0,' Elimina         Ctrl+Canc ');
//190
aggiungi_messaggio_predefinito(0,0,'V',0,' Vai... ');   // menu Cerca
aggiungi_messaggio_predefinito(0,0,'T',0,' Trova... ');
aggiungi_messaggio_predefinito(0,0,'i',0,' Ripeti Trova         F3 ');
aggiungi_messaggio_predefinito(0,0,'S',0,' Sostituisci... ');
aggiungi_messaggio_predefinito(0,0,'p',0,' Ripeti Sostituisci   F4 ');
aggiungi_messaggio_predefinito(0,0,'e',0,' ... Selezione '); // menu Formattato
aggiungi_messaggio_predefinito(0,0,'p',0,' ... Paragrafo attuale ');
aggiungi_messaggio_predefinito(0,0,'l',0,' ... Riga attuale ');
aggiungi_messaggio_predefinito(0,0,'t',0,' ... Parola attuale ');
aggiungi_messaggio_predefinito(0,0,'r',0,' ... Da riga a riga ');
//200
aggiungi_messaggio_predefinito(0,0,'a',0,' Maiuscolo ');
aggiungi_messaggio_predefinito(0,0,'i',0,' Minuscolo ');
aggiungi_messaggio_predefinito(0,0,'z',0,' Iniziali maiuscole ');
aggiungi_messaggio_predefinito(0,0,'v',0,' Invertito ');
aggiungi_messaggio_predefinito(0,0,'n',0,' Alternato Mai/Min ');
aggiungi_messaggio_predefinito(0,0,'m',0,' Normale ');
aggiungi_messaggio_predefinito(0,0,'d',0,' Togli spazi doppi ');
aggiungi_messaggio_predefinito(0,0,'S',0,' Sinistra ');
aggiungi_messaggio_predefinito(0,0,'D',0,' Destra ');
aggiungi_messaggio_predefinito(0,0,'C',0,' Centra ');
//210
aggiungi_messaggio_predefinito(0,0,'G',0,' Giustificato ');
aggiungi_messaggio_predefinito(0,0,'P',0,' ... Paragrafo attuale ');  // menu SPECIALE
aggiungi_messaggio_predefinito(0,0,'R',0,' ... Riga attuale ');
aggiungi_messaggio_predefinito(0,0,'l',0,' ... Parola attuale ');
aggiungi_messaggio_predefinito(0,0,'D',0,' ... Da riga a riga ');
aggiungi_messaggio_predefinito(0,0,'T',0,' Taglia ');
aggiungi_messaggio_predefinito(0,0,'C',0,' Copia ');
aggiungi_messaggio_predefinito(0,0,'E',0,' Elimina ');
aggiungi_messaggio_predefinito(0,0,'S',0,' Seleziona ');
aggiungi_messaggio_predefinito(0,0,'I',0,' Incolla in riga... ');
//220
aggiungi_messaggio_predefinito(0,0,'g',0,' Incolla tutto in riga... ');
aggiungi_messaggio_predefinito(0,0,'o',0,' Incolla tutto ');
aggiungi_messaggio_predefinito(0,0,'e',0,' Associa estensione '); // menu OPZIONI
aggiungi_messaggio_predefinito(0,0,'D',0,' Delimitatore di riga ');
aggiungi_messaggio_predefinito(0,0,'l',0,' Formato salva file ');
aggiungi_messaggio_predefinito(0,0,'V',0,' Velocita''');
aggiungi_messaggio_predefinito(0,0,'M',0,' Memoria      Shift+Tab ');
aggiungi_messaggio_predefinito(0,0,'A',0,' Tabella ASCII ');
aggiungi_messaggio_predefinito(0,0,'S',0,' Salva configurazione ');
aggiungi_messaggio_predefinito(0,0,'n',0,' Salva config. in... ');
//230
aggiungi_messaggio_predefinito(0,0,'p',0,' Config. predefinita ');
aggiungi_messaggio_predefinito(0,0,'1',0,' Configura 1 ');
aggiungi_messaggio_predefinito(0,0,'2',0,' Configura 2 ');
aggiungi_messaggio_predefinito(0,0,'3',0,' Configura 3 ');
aggiungi_messaggio_predefinito(0,0,'g',0,' Cambia lingua... ');
aggiungi_messaggio_predefinito(0,0,'f',0,' Informazioni sul file ');
aggiungi_messaggio_predefinito(0,0,'I',0,' Informazioni su Editor ');
aggiungi_messaggio_predefinito(0,0,'m',0,' Stampante '); //STAMPA : e' dentro FILE
aggiungi_messaggio_predefinito(0,0,'C',0,' Nø Copie ');
aggiungi_messaggio_predefinito(0,0,'T',0,' Tutto ');
//240
aggiungi_messaggio_predefinito(0,0,'S',0,' Selezione ');
aggiungi_messaggio_predefinito(0,0,'R',0,' Righe... ');
aggiungi_messaggio_predefinito(0,0,'F',0,' Fogli... ');
aggiungi_messaggio_predefinito(0,0,'A',0,' Foglio Attuale ');
aggiungi_messaggio_predefinito(0,0,'T',0,' testo (.TXT) ');        // file --> nuovo
aggiungi_messaggio_predefinito(0,0,'E',0,' esadecimale (.ESA) ');
aggiungi_messaggio_predefinito(0,0,'E',0,' da Testo ad Esadecimale ');  // FILE --> CONVERTI
aggiungi_messaggio_predefinito(0,0,'T',0,' da Esadecimale a Testo ');
aggiungi_messaggio_predefinito(0,0,'H',0,' da Testo ad Htm ');
aggiungi_messaggio_predefinito(0,0,'R',0,' da Testo ad Rtf ');
//250
aggiungi_messaggio_predefinito(0,0,'m',0,' opzioni per Htm ');
aggiungi_messaggio_predefinito(0,0,'f',0,' opzioni per Rtf ');
aggiungi_messaggio_predefinito(0,0,'T',0,' Totale con nome '); // FILE --> SALVA COPIA
aggiungi_messaggio_predefinito(0,0,'b',0,' da byte a byte ');
aggiungi_messaggio_predefinito(0,0,'S',0,' Selezione ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Editor non funziona correttamente,');       //  ErrorTextMode_start;
aggiungi_messaggio_predefinito(0,0,#0,0,'poiche'' non e'' stato eseguito nella modalita'' testo minima: '); //  ErrorTextMode_start;
aggiungi_messaggio_predefinito(0,0,#0,0,' colonne e ');               //  ErrorTextMode_start;
aggiungi_messaggio_predefinito(0,0,#0,0,' righe.');                   //  ErrorTextMode_start;
aggiungi_messaggio_predefinito(0,0,#0,0,'Correggere il problema e riprovare.');  //  ErrorTextMode_start;
//260
aggiungi_messaggio_predefinito(0,0,#0,0,'Creare un file .bak prima di salvare il file ?');  // ask_crea_bak_esa
aggiungi_messaggio_predefinito(0,0,#0,0,'Impossibile aprire altri files. Memoria insufficiente.');  // Error_Multi_Files
aggiungi_messaggio_predefinito(0,0,#0,0,'Chiudere uno o piu'' files e riprovare.');                 // Error_Multi_Files
aggiungi_messaggio_predefinito(0,0,#0,0,'Errore nella cancellazione del file. Riprovare a cancellare il file ?');
aggiungi_messaggio_predefinito(0,0,#0,0,'Attenzione!!!    Cancellare il file ?');
aggiungi_messaggio_predefinito(0,0,#0,0,'Errore in rinomina. Il nome del file esiste gia''. Sceglierne uno diverso.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Errore in apertura. Il testo contiene righe piu'' lunghe del massimo.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Rinomina il file');
aggiungi_messaggio_predefinito(0,0,#0,0,'Apertura file in formato testo. Modifiche non salvate. Continuare ?');
aggiungi_messaggio_predefinito(0,0,#0,0,'Apertura file in esadecimale. Modifiche non salvate. Continuare ?');
//270
aggiungi_messaggio_predefinito(0,0,#0,0,'Nota: si possono perdere dati nel file.');
aggiungi_messaggio_predefinito(0,0,#0,0,'La stringa');
aggiungi_messaggio_predefinito(0,0,#0,0,'e'' stata');
aggiungi_messaggio_predefinito(0,0,#0,0,'sostituita con');
aggiungi_messaggio_predefinito(0,0,#0,0,' volte.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Selezionare il formato con cui salvare i files di testo:'); // M_opzioni__formato_salva_file
aggiungi_messaggio_predefinito(0,0,#0,0,' Formato attuale per salvare: ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Testo');
aggiungi_messaggio_predefinito(0,0,#0,0,' Formato del file aperto: ');
aggiungi_messaggio_predefinito(0,0,'n',0,'Annulla');
//280
aggiungi_messaggio_predefinito(0,0,#0,0,'Informazioni sul file in uso');   //  M_opzioni__Informazioni_sul_File
aggiungi_messaggio_predefinito(0,0,#0,0,' Nome lungo: ');
aggiungi_messaggio_predefinito(0,0,#0,0,' Nome : ');
aggiungi_messaggio_predefinito(0,0,#0,0,' Nome corto: ');
aggiungi_messaggio_predefinito(0,0,#0,0,' Numero del blocco del file: ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Esadecimale');
aggiungi_messaggio_predefinito(0,0,#0,0,' Nomi di file lunghi supportati ? ');
aggiungi_messaggio_predefinito(0,0,#0,0,' Delimitatore di percorsi : ');
aggiungi_messaggio_predefinito(0,0,#0,0,' Delimitatore di fine riga: ');
aggiungi_messaggio_predefinito(0,0,#0,0,' Byte attualmente occupati: ');
//290
aggiungi_messaggio_predefinito(0,0,#0,0,' Attributi: ');
aggiungi_messaggio_predefinito(0,0,#0,0,' Lunghezza massima della riga : ');
aggiungi_messaggio_predefinito(0,0,#0,0,' Data: ');
aggiungi_messaggio_predefinito(0,0,#0,0,' Ora : ');
aggiungi_messaggio_predefinito(0,0,#0,0,' Testo selezionato: ');
aggiungi_messaggio_predefinito(0,0,#0,0,' Numero del file aperto: ');
aggiungi_messaggio_predefinito(0,0,#0,0,' Numero di appunti in memoria: ');
aggiungi_messaggio_predefinito(0,0,#0,0,'incolla');  // determina_tipo_annulla
aggiungi_messaggio_predefinito(0,0,#0,0,'invio');
aggiungi_messaggio_predefinito(0,0,#0,0,'cancella');
//300
aggiungi_messaggio_predefinito(0,0,#0,0,'spazi');
aggiungi_messaggio_predefinito(0,0,#0,0,'sinistra');
aggiungi_messaggio_predefinito(0,0,#0,0,'destra');
aggiungi_messaggio_predefinito(0,0,#0,0,'centra');
aggiungi_messaggio_predefinito(0,0,#0,0,'giustifica');
aggiungi_messaggio_predefinito(0,0,#0,0,'taglia/elimina');
aggiungi_messaggio_predefinito(0,0,#0,0,'spazi');
aggiungi_messaggio_predefinito(0,0,#0,0,'elimina');
aggiungi_messaggio_predefinito(0,0,#0,0,'taglia');
aggiungi_messaggio_predefinito(0,0,#0,0,'maiuscolo');
//310
aggiungi_messaggio_predefinito(0,0,#0,0,'minuscolo');
aggiungi_messaggio_predefinito(0,0,#0,0,'iniziali maiuscole');
aggiungi_messaggio_predefinito(0,0,#0,0,'invertito');
aggiungi_messaggio_predefinito(0,0,#0,0,'alternato');
aggiungi_messaggio_predefinito(0,0,#0,0,'normale');
aggiungi_messaggio_predefinito(0,0,#0,0,'spazi doppi');
aggiungi_messaggio_predefinito(0,0,#0,0,'incolla tutto');
aggiungi_messaggio_predefinito(0,0,#0,0,'Impossibile modificare o salvare il testo con queste impostazioni.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Controllare "modalita'' di sola lettura" in OPZIONI --> CONFIGURA1.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Errore nell''impostazione della stampante. Riprovare.');
//320
aggiungi_messaggio_predefinito(0,0,#0,0,'Selezionare la porta su cui e'' collegata la stampante: ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Stampante selezionata: ');
aggiungi_messaggio_predefinito(0,0,#0,0,'<< Nessuna >>');
aggiungi_messaggio_predefinito(0,0,#0,0,'Converti in'); // html o rtf
aggiungi_messaggio_predefinito(0,0,#0,0,'Editor creato e idealizzato da Licciardi Salvatore');  // M_opzioni__Informazioni_su_Editor
aggiungi_messaggio_predefinito(0,0,#0,0,'- Menu'': Accedergli col mouse o con F10, nasconderlo con click o Esc.');
aggiungi_messaggio_predefinito(0,0,#0,0,'- Selezione: con mouse o Shift + Inizio / Fine / Cursori: ');
aggiungi_messaggio_predefinito(0,0,#0,0,'- Tasti di scelta rapida:');
aggiungi_messaggio_predefinito(0,0,#0,0,'  Shift + Ins/Canc per incolla/taglia selezione,');
aggiungi_messaggio_predefinito(0,0,#0,0,'  Ctrl + Ins/Canc per copia/elimina selezione,');
//330
aggiungi_messaggio_predefinito(0,0,#0,0,'  Ctrl + Inizio/Fine per andare ad inizio/fine testo,');
aggiungi_messaggio_predefinito(0,0,#0,0,' per andare ad inizio/fine pagina,');
aggiungi_messaggio_predefinito(0,0,#0,0,'  F1/F2 incrementa/decrementa il carattere ASCII attuale.');
aggiungi_messaggio_predefinito(0,0,#0,0,'  F3/F4 per ripeti trova/sostituisci.');
aggiungi_messaggio_predefinito(0,0,#0,0,'  F6/F5 (oppure Ctrl (+ Shift) + TAB) passa al file precedente/successivo.');
aggiungi_messaggio_predefinito(0,0,#0,0,'  Ctrl + F4 (oppure ALT + F3) per chiudere il file attuale.');
aggiungi_messaggio_predefinito(0,0,#0,0,'  Shift + Esc per annullare la selezione.');
aggiungi_messaggio_predefinito(0,0,#0,0,'  Alt + F4 per chiudere l'' Editor.');
aggiungi_messaggio_predefinito(0,0,#0,0,'  Alt + F5 per visualizzare il contenuto della Shell.');
aggiungi_messaggio_predefinito(0,0,#0,0,'- Per annullare un input numerico si puo'' anche inserire il valore 0.');
//340
aggiungi_messaggio_predefinito(0,0,#0,0,'- Personalizza la Shell modificando il campo RunShell in Editor.ini');
aggiungi_messaggio_predefinito(0,0,#0,0,'- Apri il file EDIT.TXT per la guida.');
aggiungi_messaggio_predefinito(0,0,#0,0,'EDITOR : programma di scrittura in formato testo o esadecimale.');
aggiungi_messaggio_predefinito(0,0,#0,0,'[opzioni]'); // Help
aggiungi_messaggio_predefinito(0,0,#0,0,'Questa schermata');
aggiungi_messaggio_predefinito(0,0,#0,0,' nomefile  Elenco di files da aprire (ammessi i caratteri jolly "*" e "?")');
aggiungi_messaggio_predefinito(0,0,#0,0,'Non apre i files da terminale, gia'' caricati precedentemente');
aggiungi_messaggio_predefinito(0,0,#0,0,'Forzano rispettivamente l'' uso del formato testo ed esadecimale');
aggiungi_messaggio_predefinito(0,0,#0,0,'Chiede se usare il formato testo o esadecimale');
aggiungi_messaggio_predefinito(0,0,#0,0,'Disabilita');
//350
aggiungi_messaggio_predefinito(0,0,#0,0,'Lunghezza della riga. Valori validi da 1 a 254.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Salva anche spazi finali (solo con il formato testo)');
aggiungi_messaggio_predefinito(0,0,#0,0,'Apre il file in sola lettura: non consente di modificarlo');
aggiungi_messaggio_predefinito(0,0,#0,0,'Crea il file di backup in salva (solo con il formato testo)');
aggiungi_messaggio_predefinito(0,0,#0,0,'Cursore libero (sempre abilitato con il formato esadecimale)');
aggiungi_messaggio_predefinito(0,0,#0,0,'Un solo spazio fra parole (ignorato nel formato esadecimale)');
aggiungi_messaggio_predefinito(0,0,#0,0,'Ignora il file editor.ini durante l''inizializzazione, se esiste');
aggiungi_messaggio_predefinito(0,0,#0,0,'Delimitatore di riga: n=0 e'' predefinito dal sistema operativo,');
aggiungi_messaggio_predefinito(0,0,#0,0,'n=1 e'' #10, n=2 e'' #13 #10 (solo con il formato testo)');
aggiungi_messaggio_predefinito(0,0,#0,0,'Opzione ignorata in questa versione');
//360
aggiungi_messaggio_predefinito(0,0,#0,0,'Imposta stampante: p tra LPT1..9 e COM1..4 . LPT1 e'' predefinita');
aggiungi_messaggio_predefinito(0,0,#0,0,'Disabilita il mouse (se supportato, solo per DOS)');
aggiungi_messaggio_predefinito(0,0,#0,0,'Gestione automatica della memoria per files di testo troppo grandi');
aggiungi_messaggio_predefinito(0,0,#0,0,'Opzioni inverse: ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Opzioni predefinite: ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Selezionare il delimitatore di fine riga : ');  // 'M_opzioni__Delimitatore_di_fine_riga'
aggiungi_messaggio_predefinito(0,0,#0,0,'Delimitatore predefinito dal sistema operativo : ');
aggiungi_messaggio_predefinito(0,0,#0,0,' Delimitatore attuale : ');
aggiungi_messaggio_predefinito(0,0,'n',0,' --- Annulla --- ');
aggiungi_messaggio_predefinito(0,0,'P',0,' Predefinito: ');
//370
aggiungi_messaggio_predefinito(0,0,#0,0,'Configurazione 2 di Editor');
aggiungi_messaggio_predefinito(0,0,#0,0,'Impostazioni valide solo per il mouse:');
aggiungi_messaggio_predefinito(0,0,'C',0,'- Click su barra verticale come pag Su/Giu [ ]  (anziche'' come percentuale)');
aggiungi_messaggio_predefinito(0,0,'M',0,'- Mancino (inverti tasti)');
aggiungi_messaggio_predefinito(0,0,'A',0,'- Abilita/Disabilita mouse (solo per DOS)  [ ]  (solo se e'' supportato)');
aggiungi_messaggio_predefinito(0,0,'q',0,'- Selezione a forma di quadrato');
aggiungi_messaggio_predefinito(0,0,#0,0,'Impostazioni valide per il tasto TAB:  (solo nel formato testo)');
aggiungi_messaggio_predefinito(0,0,'S',0,'- Salva usando il carattere TAB');
aggiungi_messaggio_predefinito(0,0,'N',0,'- Numero di spazi usati (consigliato=8)');
aggiungi_messaggio_predefinito(0,0,#0,0,'Impostazioni generali:');
//380
aggiungi_messaggio_predefinito(0,0,'I',0,'- Cursore ad inizio parola premendo INIZIO');
aggiungi_messaggio_predefinito(0,0,'F',0,'- Cursore a fine parola premendo FINE');
aggiungi_messaggio_predefinito(0,0,'p',0,'- Numero massimo di appunti in memoria     [           ]  (0=illimitato)');
aggiungi_messaggio_predefinito(0,0,#0,0,'Impostazioni per editor.ini:  (in uscita dal programma)');
aggiungi_messaggio_predefinito(0,0,'g',0,'- Salva la configurazione');
aggiungi_messaggio_predefinito(0,0,'v',0,'- Salva la lista dei file in visualizza');
aggiungi_messaggio_predefinito(0,0,'r',0,'- Salva la lista dei file recenti');
aggiungi_messaggio_predefinito(0,0,'t',0,'- Numero di righe nel formato testo        [           ]  (suggerito 6.000)');
aggiungi_messaggio_predefinito(0,0,'e',0,'- Numero di righe nel formato esadecimale  [           ]  (suggerito 810)');
aggiungi_messaggio_predefinito(0,0,#0,0,'La stringa "');
//390
aggiungi_messaggio_predefinito(0,0,#0,0,'e'' stata trovata ');
aggiungi_messaggio_predefinito(0,0,#0,0,' volte dentro il testo selezionato.');
aggiungi_messaggio_predefinito(0,0,#0,0,' volte.');
aggiungi_messaggio_predefinito(0,0,'P',0,'    Parola intera  [ ]');
aggiungi_messaggio_predefinito(0,0,'C',0,'Conteggio [ ]');
aggiungi_messaggio_predefinito(0,0,'I',0,'    Ignora Mai/Min [ ]');
aggiungi_messaggio_predefinito(0,0,'V',0,'    Verso  sotto   [ ]');
aggiungi_messaggio_predefinito(0,0,'S',0,'Selezione [ ]');
aggiungi_messaggio_predefinito(0,0,#0,0,'Sostituisci:');
aggiungi_messaggio_predefinito(0,0,#0,0,'La seguente stringa:');
//400
aggiungi_messaggio_predefinito(0,0,#0,0,'Con la stringa:');
aggiungi_messaggio_predefinito(0,0,#0,0,'Byte attuale ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Cerca la stringa:  ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Apertura file in corso.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Riprovare ?');
aggiungi_messaggio_predefinito(0,0,#0,0,'File non trovato: ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Impossibile eseguire questa operazione nel formato esadecimale');
aggiungi_messaggio_predefinito(0,0,'i',0,' Riapri in TXT ');
// T_Edit24
aggiungi_messaggio_predefinito(0,0,'i',0,' Riapri in ESA ');
aggiungi_messaggio_predefinito(0,0,'S',0,' Seleziona tutto ');
//410
aggiungi_messaggio_predefinito(0,0,'D',0,' Deseleziona  ');
aggiungi_messaggio_predefinito(0,0,'T',0,' Taglia      ');
aggiungi_messaggio_predefinito(0,0,'C',0,' Copia         ');
aggiungi_messaggio_predefinito(0,0,'I',0,' Incolla ultimo');
aggiungi_messaggio_predefinito(0,0,'l',0,' Incolla lista');
aggiungi_messaggio_predefinito(0,0,'E',0,' Elimina      ');
aggiungi_messaggio_predefinito(0,0,'A',0,' Annulla ');
aggiungi_messaggio_predefinito(0,0,'R',0,' Ripristina ');
aggiungi_messaggio_predefinito(0,0,'e',0,'... Selezione '); // menu FORMATTATO
aggiungi_messaggio_predefinito(0,0,'P',0,'... Paragrafo attuale ');
//420
aggiungi_messaggio_predefinito(0,0,'l',0,'... Riga attuale ');
aggiungi_messaggio_predefinito(0,0,'t',0,'... Parola attuale ');
aggiungi_messaggio_predefinito(0,0,'r',0,'... Da riga a riga ');
aggiungi_messaggio_predefinito(0,0,'P',0,'... Paragrafo attuale ');  // menu SPECIALE
aggiungi_messaggio_predefinito(0,0,'R',0,'... Riga attuale ');
aggiungi_messaggio_predefinito(0,0,'l',0,'... Parola attuale ');
aggiungi_messaggio_predefinito(0,0,'D',0,'... Da riga a riga ');
aggiungi_messaggio_predefinito(0,0,'S',0,' Svuota lista ');
aggiungi_messaggio_predefinito(0,0,'P',0,'< Pausa  >  ');
aggiungi_messaggio_predefinito(0,0,'C',0,'<Continua>  ');
//430
aggiungi_messaggio_predefinito(0,0,'A',0,'<Annulla>  ');
aggiungi_messaggio_predefinito(0,0,'T',0,'<annulla Tutti>');
aggiungi_messaggio_predefinito(0,0,#0,0,' Caricamento file in corso ...');
aggiungi_messaggio_predefinito(0,0,#0,0,'  Impossibile aprire il file. Riprovare impostando Editor in formato testo, o ');
aggiungi_messaggio_predefinito(0,0,#0,0,'  assicurarsi che l''unita'' non sia protetta, che il file non abbia l''attributo');
aggiungi_messaggio_predefinito(0,0,#0,0,'  di sola lettura (R) , che non sia piu'' presente o gia'' in uso.                   ');
aggiungi_messaggio_predefinito(0,0,'S',0,'<Si>');
aggiungi_messaggio_predefinito(0,0,'N',0,'  <No>  <esc>  ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Associare l''estensione "');
aggiungi_messaggio_predefinito(0,0,#0,0,'" al formato ');
//440
aggiungi_messaggio_predefinito(0,0,#0,0,'Apri file');
aggiungi_messaggio_predefinito(0,0,#0,0,'Svuotare gli Appunti, l'' Annulla e Ripristina di tutti i files ?');
aggiungi_messaggio_predefinito(0,0,#0,0,'Riavviare il programma con la configurazione predefinita ?');
aggiungi_messaggio_predefinito(0,0,#0,0,'Errore durante l''operazione di salvataggio della configurazione');
aggiungi_messaggio_predefinito(0,0,#0,0,'Salva configurazione in ...');
aggiungi_messaggio_predefinito(0,0,#0,0,'AUTODETECT: il file appena aperto e'' di tipo esadecimale, e non di testo.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Riaprirlo in esadecimale ?');
aggiungi_messaggio_predefinito(0,0,#0,0,'AUTODETECT: il file appena aperto e'' di tipo testo, e non esadecimale.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Riaprirlo nel formato testo ?');
aggiungi_messaggio_predefinito(0,0,#0,0,'Chiusura del testo.');
//450
aggiungi_messaggio_predefinito(0,0,#0,0,'Salva con nome in corso ...');
aggiungi_messaggio_predefinito(0,0,#0,0,'Salva copia in corso ...');
aggiungi_messaggio_predefinito(0,0,#0,0,'Salva copia con nome da byte a byte in corso ...');
aggiungi_messaggio_predefinito(0,0,#0,0,'Salva la selezione con nome in corso ...');
aggiungi_messaggio_predefinito(0,0,#0,0,'Percorso inesistente. Crearlo ?');
aggiungi_messaggio_predefinito(0,0,#0,0,'Errore nel creare il percorso. Riprovare.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Salva con nome');
aggiungi_messaggio_predefinito(0,0,#0,0,'Salva copia con nome');
aggiungi_messaggio_predefinito(0,0,#0,0,'Salva copia con nome da byte a byte');
aggiungi_messaggio_predefinito(0,0,#0,0,'Salva la selezione con nome');
//460
aggiungi_messaggio_predefinito(0,0,#0,0,'Impossibile copiare il file su se stesso. Scegliere un nome diverso.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Salvataggio del testo su file.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Chiusura di tutti i files.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Chiusura di EDITOR in corso.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Salvataggio di tutti i files.');
aggiungi_messaggio_predefinito(0,0,#0,0,'*Annulla*'); // di incolla appunti
aggiungi_messaggio_predefinito(0,0,#0,0,'Nuovo');  // file nuovo + numero + .ext
aggiungi_messaggio_predefinito(0,0,#0,0,'A quale formato associare l''estensione ?  ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Formato predefinito : ');
aggiungi_messaggio_predefinito(0,0,#0,0,'a richiesta');
//470
aggiungi_messaggio_predefinito(0,0,#0,0,'sconosciuto');
aggiungi_messaggio_predefinito(0,0,#0,0,' Formato attuale in apertura: ');
aggiungi_messaggio_predefinito(0,0,#0,0,' Estensione del file: ');
aggiungi_messaggio_predefinito(0,0,'T',0,' Testo        (TXT) ');
aggiungi_messaggio_predefinito(0,0,'E',0,' Esadecimale  (ESA) ');
aggiungi_messaggio_predefinito(0,0,'C',0,' Chiedi       (ASK) ');
aggiungi_messaggio_predefinito(0,0,'R',0,' Rimuovi associazione ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Convertire il file dal formato esadecimale a testo ?');
aggiungi_messaggio_predefinito(0,0,#0,0,'Nota: si possono perdere dati nel file.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Convertire il file dal formato testo ad esadecimale ?');
//480
aggiungi_messaggio_predefinito(0,0,#0,0,'La lunghezza della riga e'' la massima tra quella attuale e quella configurata.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Configurazione 3 di Editor');
aggiungi_messaggio_predefinito(0,0,'N',0,'[ ] Non apre i files da terminale, gia'' caricati precedentemente');
aggiungi_messaggio_predefinito(0,0,'m',0,'[ ] Gestione automatica della memoria per files di testo troppo grandi');
aggiungi_messaggio_predefinito(0,0,#0,0,'Impostazioni per conversione in');
// T_edit30
aggiungi_messaggio_predefinito(0,0,'t',0,'[ ] Inserisci come titolo, il nome del file (consigliato/predefinito)');
aggiungi_messaggio_predefinito(0,0,'r',0,'[ ] Vai a capo usando <br> (predefinito/consigliato) anziche''');
aggiungi_messaggio_predefinito(0,0,#0,0,'[ ] Corsivo');
aggiungi_messaggio_predefinito(0,0,#0,0,'[ ] Grassetto');
aggiungi_messaggio_predefinito(0,0,#0,0,'[ ] Sottolineato');
//490
aggiungi_messaggio_predefinito(0,0,'m',0,'[                   ] Nome font');
aggiungi_messaggio_predefinito(0,0,#0,0,'(predefinito/consigliato: 0 per ignorare)');
aggiungi_messaggio_predefinito(0,0,'h',0,'[  ] Dimensione testo <h></h> da');
aggiungi_messaggio_predefinito(0,0,'e',0,'[         ] Dimensione testo');
aggiungi_messaggio_predefinito(0,0,#0,0,' (consigliato/predefinito: stringa vuota)');
aggiungi_messaggio_predefinito(0,0,'o',0,'[         ] Colore del testo');
aggiungi_messaggio_predefinito(0,0,'f',0,'[         ] Colore di sfondo');
aggiungi_messaggio_predefinito(0,0,#0,0,'Valori validi per i colori:');
aggiungi_messaggio_predefinito(0,0,#0,0,'Allineamento');
aggiungi_messaggio_predefinito(0,0,'N',0,'Nessuno (predefinito/consigliato)');
//500
aggiungi_messaggio_predefinito(0,0,'D',0,'Destra');
aggiungi_messaggio_predefinito(0,0,'S',0,'Sinistra');
aggiungi_messaggio_predefinito(0,0,'C',0,'Centro');
aggiungi_messaggio_predefinito(0,0,'G',0,'Giustificato');
aggiungi_messaggio_predefinito(0,0,'z',0,'[ ] Solo selezione (Non predefinita. Opzione non salvata nella configurazione.)');
aggiungi_messaggio_predefinito(0,0,'T',0,'Tutto');
aggiungi_messaggio_predefinito(0,0,#0,0,'Stampa foglio attuale.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Stampa fogli.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Stampa righe.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Stampa tutto il testo.');
//510
aggiungi_messaggio_predefinito(0,0,#0,0,'Stampa selezione.');
aggiungi_messaggio_predefinito(0,0,#0,0,' copie su ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Stampare ?');
aggiungi_messaggio_predefinito(0,0,#0,0,'Da  ');
aggiungi_messaggio_predefinito(0,0,#0,0,'A   ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Da pagina: ');
aggiungi_messaggio_predefinito(0,0,#0,0,'A pagina: ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Stampa');
aggiungi_messaggio_predefinito(0,0,#0,0,'Dalla riga: ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Alla riga: ');
//520
aggiungi_messaggio_predefinito(0,0,#0,0,'Giustifica il testo');
aggiungi_messaggio_predefinito(0,0,#0,0,'Centra il testo');
aggiungi_messaggio_predefinito(0,0,#0,0,'Sposta il testo a Destra');
aggiungi_messaggio_predefinito(0,0,#0,0,'Sposta il testo a Sinistra');
aggiungi_messaggio_predefinito(0,0,#0,0,'Seleziona il testo');
aggiungi_messaggio_predefinito(0,0,#0,0,'Bisogna prima salvare tutti i files');
aggiungi_messaggio_predefinito(0,0,#0,0,'Errore nella creazione della configurazione predefinita');
aggiungi_messaggio_predefinito(0,0,#0,0,'Si'); // risposta in versione estesa
aggiungi_messaggio_predefinito(0,0,#0,0,'Files Aperti');
aggiungi_messaggio_predefinito(0,0,#0,0,'Incolla'); // Lista di Incolla
//530
aggiungi_messaggio_predefinito(0,0,'N',0,'   Nome: ');
aggiungi_messaggio_predefinito(0,0,'L',0,'Lista:');
aggiungi_messaggio_predefinito(0,0,#0,0,' elementi trovati');
aggiungi_messaggio_predefinito(0,0,#0,0,'Ricerca files in corso... ');
aggiungi_messaggio_predefinito(0,0,#0,0,'Nessuna lingua scelta. Ricaricare quella predefinita ?  [Italiano]');
aggiungi_messaggio_predefinito(0,0,#0,0,'Error reading file of new language.');
aggiungi_messaggio_predefinito(0,0,#0,0,'Errore nel contenuto del file della nuova lingua.');
aggiungi_messaggio_predefinito(0,0,#0,0,'File della lingua non trovato.');
aggiungi_messaggio_predefinito(35,0,'o',0,'                 ( ) Paragrafo ( )');
aggiungi_messaggio_predefinito(0,0,'r',0,'Per riga  [ ]');  // ver 3.23
//540
aggiungi_messaggio_predefinito(0,0,'D',0,' Duplica in memoria '); // ver 3.24
aggiungi_messaggio_predefinito(0,0,'R',0,' Ricarica ');  // ver 3.26 sub menu File / Carica
aggiungi_messaggio_predefinito(0,0,'a',0,' Ripeti apri in Esadecimale ');  // ver 3.26 sub menu File / Carica
aggiungi_messaggio_predefinito(0,0,'T',0,' Ripeti apri come Testo '); // ver 3.26 sub menu File / Carica
aggiungi_messaggio_predefinito(0,0,' ',0,'(originale) '); // ver 3.26 sub menu File / Carica
aggiungi_messaggio_predefinito(0,0,'C',0,' Cambia numero di colonne '); // ver 3.26 sub menu File / Carica
aggiungi_messaggio_predefinito(0,0,' ',0,'Il numero di colonne attuale Š superiore al nuovo valore. Salvare e riprovare.');
aggiungi_messaggio_predefinito(0,0,' ',0,'colonne');
aggiungi_messaggio_predefinito(0,0,'M',0,' Mostra Appunti '); // ver 3.28  legato al 190 (menu modifica)
aggiungi_messaggio_predefinito(0,0,' ',0,'Appunti'); // ver 3.28  legato al 190 (menu modifica)
//550
aggiungi_messaggio_predefinito(0,0,'N',0,' Nascondi Appunti '); // ver 3.28  legato al 190 (menu modifica)
aggiungi_messaggio_predefinito(0,0,' ',0,'*Incolla tutto*');    // ver 3.30
aggiungi_messaggio_predefinito(0,0,' ',0,'*Cancella tutto*');   // ver 3.30
aggiungi_messaggio_predefinito(0,0,'a',0,' Svuota appunti ');   // ver 3.30
end;

{+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++}

function Lingua.aggiungi_messaggio_predefinito(x,y:byte; c:char; n:word; txt:string):longint;
begin  // formato: x,y,char,N,Txt= txt
setlength(attuale,length(attuale)+1);
attuale[length(attuale)-1]:=intToStr(x)+','+intToStr(y)+','+c+',Txt'+intToStr(n)+'='+txt;
exit(length(attuale)-1);
end;

{+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++}

procedure Lingua.get_messaggio(n:word; var x,y:byte; var c:char; var txt:string; var indice:integer);
var s:string;
    a1,a:integer;
begin  // formato: x,y,char,Txt N=txt
x:=0;
y:=0;
c:=#0;
txt:='';
indice:=0;
if length(attuale)<n then Exit;
s:=attuale[indice];
a:=pos(',',s);
s[a]:=#13;
x:=byte(strToint(copy(s,1,a-1)));
a1:=pos(',',s);
s[a1]:=#13;
y:=byte(strToint(copy(s,a+1,a1-a-1)));
c:=s[a1+1];
setlength(attuale,length(attuale)+1);
a:=pos('=',s);
txt:=copy_end(s,a+1);
 // rimuovo il carattere di fine riga
if (txt<>'') and (txt[length(txt)]='%') then setlength(txt,length(txt)-1);
inc(indice);
if indice>=length(attuale) then
    begin
    x:=0;
    y:=0;
    c:=#0;
    txt:='';
    indice:=-1;
    end;
end;

{+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++}

destructor  Lingua.Destroy;
begin
setlength(attuale,0);
setlength(precedente,0);
end;

{+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++}

function Lingua.Carica(file_lingua:string):byte;
var f_lng:Text;  // 0=OK , 1=config errata , 2=I/O errore , 3=file non trovato
    x,y:longint;
    txt,riga:string;
    pos_err:word;
    a1,a,indice:integer;
    c:char;
const max_frasi=600;
begin
result:=0;
assign(f_lng,file_lingua);
{$i-}
reset(f_lng);
{$i+}
if ioresult<>0 then
               begin
               assign(f_lng,pathof(paramstr(0))+file_lingua);
               {$i-}
               reset(f_lng);
               {$i+}
               if ioresult<>0 then exit(3);
               end;
indice:=-1;
precedente:=attuale;
setlength(attuale,max_frasi); // previsto manualmente

while true do
      begin
      {$i-}
      readln(f_lng,riga);
      {$i+}
      if ioresult<>0 then
              begin
              result:=2;
              break;
              end;
      riga:=trimLeft(riga);
      if (riga='')or(riga[1]=';') then {commento o riga vuota}
         else
          begin
          a:=pos(',',riga);
          if a=0 then
             begin
             result:=1;
             break;
             end;
          riga[a]:=#13;
          Val_Try(copy(riga,1,a-1),x,pos_err);
          if pos_err<>0 then result:=1;
          a1:=pos(',',riga);
          if a1=0 then
             begin
             result:=1;
             break;
             end;
          riga[a1]:=#13;
          Val_Try(copy(riga,a+1,a1-a-1),y,pos_err);
          if pos_err<>0 then result:=1;
          c:=riga[a1+1];
          a:=pos('=',riga);
          if a=0 then
             begin
             result:=1;
             break;
             end;
          if upcase(copy(riga,a-3,3))<>'TXT' then
             begin
             result:=1;
             break;
             end;
          txt:=copy_end(riga,pos('=',riga)+1);
          if (txt<>'') and (txt[length(txt)]='%') then setlength(txt,length(txt)-1);
          inc(indice);
          if indice>=max_frasi then
             begin   // verifica inserimento oltre il max delle righe previste: possibile versione della configurazione non compatibile
             result:=1;
             break;
             end;
          attuale[indice]:=intToStr(x)+','+intToStr(y)+','+c+',Txt='+txt;
          end;
      {$i-}
      if eof(f_lng) then break;
      {$i+}
      if ioresult<>0 then;
      end;
{$i-}
close(f_lng);
{$i+}
if ioresult<>0 then;
if result=0 then italiano:=false
            else attuale:=precedente;
end;

{+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++}

function Lingua.get_txt(n:word):string;
begin
if length(attuale)<n+1 then Exit('');
Exit(copy_end(attuale[n],pos('=',attuale[n])+1));
end;

{+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++}

function Lingua.get_char(n:word):char;
var s:string;
    a:integer;
begin
if length(attuale)<n+1 then Exit(#0);
s:=attuale[n];
a:=pos(',',s);
s[a]:='*'; // qualunque carattere diverso da ',' va bene
exit(s[pos(',',s)+1]);
end;

{+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++}

function Lingua.get_charUp(n:word):char;
begin
exit(upcase(get_char(n)));
end;

{+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++}

function Lingua.get_charB(n:word):byte;
begin
exit(ord(get_char(n)));
end;

{+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++}

function Lingua.get_X(n:word):byte;
var s:string;
begin
if length(attuale)<n+1 then Exit(0);
s:=attuale[n];
exit(strToInt(copy(s,1,pos(',',s)-1)));
end;

{+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++}

function Lingua.get_length_txt(n:word):longint;
begin
exit(length(get_txt(n)));
end;

{+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++}

function Lingua.get_pos_rosso(n:word):byte;
begin
result:=byte(max(max(get_X(n),1)+pos(get_char(n),get_txt(n))-1,0));
end;

{+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++}

begin
end.

{+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++}

Versione:    Data:     Righe:  Modifica:

3.2.0       05/02/08      ?     inizio.
